# IO_RandomRateCounter.cpp File Reference

`#include <osgParticle/RandomRateCounter>`
`#include <iostream>`
`#include <osgDB/Registry>`
`#include <osgDB/Input>`
`#include <osgDB/Output>`

Include dependency graph for IO_RandomRateCounter.cpp:

## Functions

bool | RandomRateCounter_readLocalData (osg::Object &obj, osgDB::Input &fr)
bool | RandomRateCounter_writeLocalData (const osg::Object &obj, osgDB::Output &fw)

## Variables

osgDB::RegisterDotOsgWrapperProxy | RandomRateCounter_Proxy (new osgParticle::RandomRateCounter,"RandomRateCounter","Object Counter VariableRateCounter RandomRateCounter", RandomRateCounter_readLocalData, RandomRateCounter_writeLocalData)

## Function Documentation

bool RandomRateCounter_readLocalData | ( | osg::Object & | obj,
|  | osgDB::Input & | fr
| ) |

bool RandomRateCounter_writeLocalData | ( | const osg::Object & | obj,
|  | osgDB::Output & | fw
| ) |

## Variable Documentation

osgDB::RegisterDotOsgWrapperProxy RandomRateCounter_Proxy(new osgParticle::RandomRateCounter,"RandomRateCounter","Object Counter VariableRateCounter RandomRateCounter", RandomRateCounter_readLocalData, RandomRateCounter_writeLocalData)